package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppPartnerdata;

/**
 * 合伙人数据Service接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface IAppPartnerdataService 
{
    /**
     * 查询合伙人数据
     * 
     * @param id 合伙人数据主键
     * @return 合伙人数据
     */
    public AppPartnerdata selectAppPartnerdataById(Long id);

    /**
     * 查询合伙人数据列表
     * 
     * @param appPartnerdata 合伙人数据
     * @return 合伙人数据集合
     */
    public List<AppPartnerdata> selectAppPartnerdataList(AppPartnerdata appPartnerdata);

    /**
     * 新增合伙人数据
     * 
     * @param appPartnerdata 合伙人数据
     * @return 结果
     */
    public int insertAppPartnerdata(AppPartnerdata appPartnerdata);

    /**
     * 修改合伙人数据
     * 
     * @param appPartnerdata 合伙人数据
     * @return 结果
     */
    public int updateAppPartnerdata(AppPartnerdata appPartnerdata);

    /**
     * 批量删除合伙人数据
     * 
     * @param ids 需要删除的合伙人数据主键集合
     * @return 结果
     */
    public int deleteAppPartnerdataByIds(Long[] ids);

    /**
     * 删除合伙人数据信息
     * 
     * @param id 合伙人数据主键
     * @return 结果
     */
    public int deleteAppPartnerdataById(Long id);
}
